import 'package:flutter/material.dart';

Map<int, Color> primaryShades = {
  50: kcPrimaryColor.withOpacity(0.1),
  100: kcPrimaryColor.withOpacity(0.2),
  200: kcPrimaryColor.withOpacity(0.3),
  300: kcPrimaryColor.withOpacity(0.4),
  400: kcPrimaryColor.withOpacity(0.5),
  500: kcPrimaryColor.withOpacity(0.6),
  600: kcPrimaryColor.withOpacity(0.7),
  700: kcPrimaryColor.withOpacity(0.8),
  800: kcPrimaryColor.withOpacity(0.9),
  900: kcPrimaryColor.withOpacity(1),
};

MaterialColor kcPrimaryMaterialColor = MaterialColor(kcPrimaryColor.value, primaryShades);

const Color kcPrimaryColor = Color(0xff0093B2);
const Color kcSecondaryColor = Color(0xff02C6F2);
const Color kcTertiaryColor = Color(0xffBFF0FB);
const Color kcBackgroundColor = Color(0xffFFFFFF);
const List<Color> kcPrimaryGradient = [
  kcPrimaryColor,
  kcSecondaryColor
];

const List<Color> kcBackgroundGradient = [
  kcPrimaryColor,
  kcSecondaryColor,
  kcSecondaryColor,
  Color(0xff004a8f),
];

const Color kcDisabled = Color(0xffC4C4C4);
const Color kcSuccess = Color(0xff55AE69);
const Color kcWarning = Color(0xffACAE55);
const Color kcError = Color(0xffCE5858);

const Color kcLightGrey = Color(0xffECECEC);
const Color kcGrey = Color(0xffCCCCCC);
const Color kcDarkGrey = Color(0xff8F8F8F);

const Color kcMainText = Color(0xff333333);
const Color kcSecondaryText = Color(0xff6B6B6B);

const Color kcDarkThemeGrey = Color(0xff484848);
